rte_timer(3)

NAME
rte_timer

SYNOPSIS

#include <rte_timer.h>

  Data Fields

uint64_t expire
volatile union rte_timer_status status
uint64_t period
rte_timer_cb_t f
void * arg

Detailed Description

A structure describing a timer in RTE.

Definition at line 98 of file rte_timer.h.

Field Documentation

  uint64_t expire
Time when timer expire.

Definition at line 100 of file rte_timer.h.

  volatile union rte_timer_status status
Status of timer.

Definition at line 102 of file rte_timer.h.

  uint64_t period
Period of timer (0 if not periodic).

Definition at line 103 of file rte_timer.h.

  rte_timer_cb_t f
Callback function.

Definition at line 104 of file rte_timer.h.

  void* arg
Argument to callback function.

Definition at line 105 of file rte_timer.h.

Author

Generated automatically by Doxygen for DPDK from the source code.